<p align="left">
  <a href="https://github.com/Toktom/PyAbsorp/releases/" target="_blank">
    <img alt="GitHub release" src="https://img.shields.io/github/v/release/toktom/pyabsorp?include_prereleases&style=flat-square">
  </a>

  <a href="https://github.com/Toktom/PyAbsorp/commits/master" target="_blank">
    <img src="https://img.shields.io/github/last-commit/toktom/pyabsorp?style=flat-square" alt="GitHub last commit">
  </a>

  <a href="https://github.com/Toktom/PyAbsorp/issues" target="_blank">
    <img src="https://img.shields.io/github/issues/toktom/pyabsorp?style=flat-square&color=red" alt="GitHub issues">
  </a>

  <a href="https://github.com/Toktom/PyAbsorp/blob/master/LICENSE" target="_blank">
    <img alt="LICENSE" src="https://img.shields.io/github/license/toktom/pyabsorp?style=flat-square&color=yellow">
  <a/>

</p>
<IMG SRC="https://github.com/Toktom/PyAbsorp/blob/master/images/PyAbsorp.png" WIDTH=400 ALT="PyAbsorp logo" TITLE="PyAbsorp logo">

This is a package developed to be use to find the _Sound Absorption Coefficient_ through some implemented models, like  _Biot-Allard_, _Johnson-Champoux_ and others.
This project is in alpha stage.

## Dependencies
**PyAbsorp** runs under Linux, Windows and MacOS, a **Python 3.8.10** installation is needed with the latest **Numpy (1.20.3 or higher)**, **Scipy (1.6.3 or higher)**.
_Matplotlib is recommended, but not necessary._

## Implemented Models
- **Delany-Bazley** (with **Miki** and **Allard-Champoux** variation)
- **Biot-Allard**
- **Johnson-Champoux** (with **Allard** and **Lafarge** variation)
- **Rayleigh**

## How to Install
1. First make sure that you have the package [*setuptools*](https://pypi.org/project/setuptools/) installed.
2. Install through pip, by using the following command:
    ``` pip install git+https://github.com/Toktom/PyAbsorp ```
    
## Future Objectives
- [ ] More analytic models (Wilson and others).
- [ ] Code validation.
- [ ] Implementation of absorbers models.
- [ ] Theoretical review of the implemented models.
- [ ] English review.

## How to contribute

For more details, read the [_CONTRIBUTING_](https://github.com/Toktom/PyAbsorp/blob/master/CONTRIBUTING.md) file.

### License
This project is under **MIT License**.
Check the license [here](https://github.com/Toktom/PyAbsorp/blob/master/LICENSE).

### Authors
- [**Michael Markus Ackermann**](https://github.com/Toktom)

### Contributors

- [**João Vitor Gutkoski Paes**](https://github.com/Chum4k3r)
